package mail

type MailClient struct {
	AppName string
	Env     string
	Server  string
	Port    string
}

func CreateDefaultMailApiClient(appName, env string) *MailClient {
	return createMailApiClient(appName, env, SMTP_SERVER, SMTP_PORT)
}

func createMailApiClient(appName, env, server, port string) *MailClient {
	return &MailClient{
		AppName: appName,
		Env:     env,
		Server:  server,
		Port:    port,
	}
}
